@echo off
SETLOCAL EnableDelayedExpansion
echo %cmdcmdline% | findstr /i /c:"%~nx0" >NUL && set iscommandline=1
echo %PSModulePath% | findstr /i /c:"%USERPROFILE%" >NUL && set ispowershell=1
cd /D "%~dp0"

@pwsh -NoProfile -ExecutionPolicy Bypass -Command .\scripts\serve-api.ps1

IF DEFINED iscommandline IF NOT DEFINED ispowershell pause
ENDLOCAL